For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
      • GETList voices
      • GETGet voice
      • DELDelete voice
      • POSTEdit voice
      • POSTList similar voices
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAPIVoices

Edit voice

POST
/v1/voices/:voice_id/edit
POST
/v1/voices/:voice_id/edit
$curl -X POST https://api.elevenlabs.io/v1/voices/voice_id/edit \
> -H "Content-Type: multipart/form-data" \
> -F name="John Smith"
1{
2 "status": "ok"
3}
Edit a voice created by you.
Was this page helpful?
Previous

List similar voices

Next
Built with

Path parameters

voice_idstringRequired

ID of the voice to be used. You can use the Get voices endpoint list all the available voices.

Headers

xi-api-keystringOptional

Request

This endpoint expects a multipart form with multiple files.
namestringRequired
The name that identifies this voice. This will be displayed in the dropdown of the website.
filesfilesOptional
Audio files to add to the voice
remove_background_noisebooleanOptionalDefaults to false
If set will remove background noise for voice samples using our audio isolation model. If the samples do not include background noise, it can make the quality worse.
descriptionstring or nullOptional
A description of the voice.
labelsmap from strings to strings or string or nullOptional
Labels for the voice. Keys can be language, accent, gender, or age.
moderate_metadatabooleanOptionalDefaults to false

Run synchronous LLM moderation over the voice name and description when they change. Has no effect unless the voice_library_metadata_moderation feature flag is enabled for the user.

Response

Successful Response
statusstring
The status of the voice edit request. If the request was successful, the status will be 'ok'. Otherwise an error message with status 500 will be returned.

Errors

422
Unprocessable Entity Error